import { ILayoutSetting, IAppJson, IHeaderMenu, ISubsystem } from '@fly-vue/lcdp-api';
import { INaviSelected } from '@fly-vue/ide-core';
declare const _default: import("vue").DefineComponent<{
    subSystem: null;
    hideHeader: {
        type: BooleanConstructor;
    };
    hideSaveBtn: {
        type: BooleanConstructor;
    };
    hideLayoutSetting: {
        type: BooleanConstructor;
    };
    hideHeaderMenu: {
        type: BooleanConstructor;
    };
    headerId: null;
    headerTitle: null;
    pathPrefix: null;
}, {
    __sfc: boolean;
    props: {
        subSystem?: ISubsystem | undefined;
        hideHeader?: boolean | undefined;
        hideSaveBtn?: boolean | undefined;
        hideLayoutSetting?: boolean | undefined;
        hideHeaderMenu?: boolean | undefined;
        headerId?: string | undefined;
        headerTitle?: string | undefined;
        pathPrefix?: string | undefined;
    };
    refNavi: import("vue").Ref<any>;
    headerId: import("vue").Ref<string | undefined>;
    selectedComponent: import("vue").Ref<{
        type: "page" | "headerMenu" | "siderMenu";
        target?: {
            id?: string | undefined;
            title: string;
            header?: string | undefined;
            path?: string | undefined;
            icon?: string | undefined;
            disabled?: boolean | undefined;
            custom?: string | undefined;
            auth?: string[] | undefined;
            $secured?: string | undefined;
            target?: import("@fly-vue/lcdp-api").MenuTarget | undefined;
            children?: any[] | undefined;
        } | undefined;
    }>;
    titleMap: {
        page: string;
        headerMenu: string;
        siderMenu: string;
    };
    layoutConfig: import("vue").Ref<{
        appTitle?: string | undefined;
        appDesc?: string | undefined;
        themeDark?: boolean | undefined;
        siderTheme?: "light" | "dark" | undefined;
        headerTheme?: "primary" | "light" | "dark" | undefined;
        headerStick?: boolean | undefined;
        tabs?: boolean | undefined;
        showTabsIcon?: boolean | undefined;
        tabsFix?: boolean | undefined;
        tabsReload?: boolean | undefined;
        siderFix?: boolean | undefined;
        headerFix?: boolean | undefined;
        headerHide?: boolean | undefined;
        headerMenu?: boolean | undefined;
        menuAccordion?: boolean | undefined;
        showSiderCollapse?: boolean | undefined;
        menuCollapse?: boolean | undefined;
        menuSiderReload?: boolean | undefined;
        menuHeaderReload?: boolean | undefined;
        showCollapseMenuTitle?: boolean | undefined;
        showReload?: boolean | undefined;
        showSearch?: boolean | undefined;
        showNotice?: boolean | undefined;
        showFullscreen?: boolean | undefined;
        showMobileLogo?: boolean | undefined;
        showBreadcrumb?: boolean | undefined;
        showBreadcrumbIcon?: boolean | undefined;
        showLog?: boolean | undefined;
        showI18n?: boolean | undefined;
        enableSetting?: boolean | undefined;
        logoutConfirm?: boolean | undefined;
        forceCleanCache?: boolean | undefined;
        frameCode?: string | undefined;
        logo?: string | undefined;
        logoSmall?: string | undefined;
        logoDark?: string | undefined;
        favicon?: string | undefined;
        disabledSiderMenu?: boolean | undefined;
    }>;
    appJson: import("vue").Ref<IAppJson | undefined>;
    hideRightPane: import("vue").Ref<boolean>;
    showRightPane: import("vue").ComputedRef<boolean>;
    pathPrefix: import("vue").ComputedRef<string | undefined>;
    reload: () => Promise<void>;
    getUI: () => {
        pc: {
            theme?: string | undefined;
            setting: ILayoutSetting;
            customStyles?: string | undefined;
        };
        mobile?: {
            theme?: string | undefined;
            customStyles?: string | undefined;
        } | undefined;
        miniapp?: {
            theme?: string | undefined;
        } | undefined;
    };
    save: (showMsg?: boolean) => Promise<void>;
    saveUI: () => Promise<void>;
    saveMenu: () => Promise<void>;
    onSelect: (selected: INaviSelected) => void;
    onClick: (selected: INaviSelected) => void;
    onSelectHeader: (header: IHeaderMenu) => void;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    ToggleBtn: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/toggle-btn.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    layoutSetting: import("vue").DefineComponent<{
        value: {
            default(): {};
        };
    }, {
        __sfc: boolean;
        props: {
            value: ILayoutSetting;
        };
        emit: (event: "input", ...args: any[]) => void;
        layoutConfig: import("vue").Ref<{
            appTitle?: string | undefined;
            appDesc?: string | undefined;
            themeDark?: boolean | undefined;
            siderTheme?: "light" | "dark" | undefined;
            headerTheme?: "primary" | "light" | "dark" | undefined;
            headerStick?: boolean | undefined;
            tabs?: boolean | undefined;
            showTabsIcon?: boolean | undefined;
            tabsFix?: boolean | undefined;
            tabsReload?: boolean | undefined;
            siderFix?: boolean | undefined;
            headerFix?: boolean | undefined;
            headerHide?: boolean | undefined;
            headerMenu?: boolean | undefined;
            menuAccordion?: boolean | undefined;
            showSiderCollapse?: boolean | undefined;
            menuCollapse?: boolean | undefined;
            menuSiderReload?: boolean | undefined;
            menuHeaderReload?: boolean | undefined;
            showCollapseMenuTitle?: boolean | undefined;
            showReload?: boolean | undefined;
            showSearch?: boolean | undefined;
            showNotice?: boolean | undefined;
            showFullscreen?: boolean | undefined;
            showMobileLogo?: boolean | undefined;
            showBreadcrumb?: boolean | undefined;
            showBreadcrumbIcon?: boolean | undefined;
            showLog?: boolean | undefined;
            showI18n?: boolean | undefined;
            enableSetting?: boolean | undefined;
            logoutConfirm?: boolean | undefined;
            forceCleanCache?: boolean | undefined;
            frameCode?: string | undefined;
            logo?: string | undefined;
            logoSmall?: string | undefined;
            logoDark?: string | undefined;
            favicon?: string | undefined;
            disabledSiderMenu?: boolean | undefined;
        }> | import("vue").WritableComputedRef<ILayoutSetting>;
        activedCollapse: import("vue").Ref<string[]>;
        doLayoutNone: () => void;
        doLayoutFull: () => void;
        doLayoutLeft: () => void;
        doLayoutTop: () => void;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Field: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/field.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        SelectableTag: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/selectable-tag.vue")>;
        LayoutPreviewer: import("vue").DefineComponent<{
            width: {
                default: string;
            };
            height: {
                default: string;
            };
            value: null;
            headerHeight: {
                default: string;
            };
            siderWidth: {
                default: string;
            };
        }, {
            __sfc: boolean;
            props: {
                width: string;
                height: string;
                value: ILayoutSetting;
                headerHeight: string;
                siderWidth: string;
            };
            emit: (event: "input", ...args: any[]) => void;
            setting: import("vue").Ref<{
                appTitle?: string | undefined;
                appDesc?: string | undefined;
                themeDark?: boolean | undefined;
                siderTheme?: "light" | "dark" | undefined;
                headerTheme?: "primary" | "light" | "dark" | undefined;
                headerStick?: boolean | undefined;
                tabs?: boolean | undefined;
                showTabsIcon?: boolean | undefined;
                tabsFix?: boolean | undefined;
                tabsReload?: boolean | undefined;
                siderFix?: boolean | undefined;
                headerFix?: boolean | undefined;
                headerHide?: boolean | undefined;
                headerMenu?: boolean | undefined;
                menuAccordion?: boolean | undefined;
                showSiderCollapse?: boolean | undefined;
                menuCollapse?: boolean | undefined;
                menuSiderReload?: boolean | undefined;
                menuHeaderReload?: boolean | undefined;
                showCollapseMenuTitle?: boolean | undefined;
                showReload?: boolean | undefined;
                showSearch?: boolean | undefined;
                showNotice?: boolean | undefined;
                showFullscreen?: boolean | undefined;
                showMobileLogo?: boolean | undefined;
                showBreadcrumb?: boolean | undefined;
                showBreadcrumbIcon?: boolean | undefined;
                showLog?: boolean | undefined;
                showI18n?: boolean | undefined;
                enableSetting?: boolean | undefined;
                logoutConfirm?: boolean | undefined;
                forceCleanCache?: boolean | undefined;
                frameCode?: string | undefined;
                logo?: string | undefined;
                logoSmall?: string | undefined;
                logoDark?: string | undefined;
                favicon?: string | undefined;
                disabledSiderMenu?: boolean | undefined;
            }> | import("vue").WritableComputedRef<ILayoutSetting>;
            headerStyle: import("vue").ComputedRef<{
                height: string;
                backgroundColor: string;
            }>;
            titleStyle: import("vue").ComputedRef<{
                width: string;
                backgroundColor: string;
            }>;
            siderStyle: import("vue").ComputedRef<{
                width: string;
                height: string;
                backgroundColor: string;
            }>;
            contentStyle: import("vue").ComputedRef<{
                backgroundColor: string;
            }>;
            Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
            Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
            Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
            ColorBlock: () => Promise<typeof import("@fly-vue/ide-core/@types/components/theme/color-block.vue")>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
            width: {
                default: string;
            };
            height: {
                default: string;
            };
            value: null;
            headerHeight: {
                default: string;
            };
            siderWidth: {
                default: string;
            };
        }>>, {
            width: string;
            height: string;
            headerHeight: string;
            siderWidth: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            default(): {};
        };
    }>>, {
        value: {};
    }>;
    MenuForm: import("vue").DefineComponent<{
        value: null;
        isHeader: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            default: string;
        };
    }, {
        __sfc: boolean;
        props: {
            value: IHeaderMenu | import("@fly-vue/lcdp-api").IMenuInfo;
            isHeader?: boolean | undefined;
            pathPrefix: string;
        };
        emit: (event: "on-name-change", ...args: any[]) => void;
        name: import("vue").Ref<any>;
        enabledAuth: import("vue").Ref<any>;
        isEnableAuth: import("vue").ComputedRef<boolean>;
        normalAuth: import("vue").Ref<string[]>;
        extraAuth: import("vue").Ref<string[]>;
        extraAuthEnable: import("vue").Ref<boolean>;
        list: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IAuthorityDef[]>;
        expandedList: import("vue").Ref<string[]>;
        isEnabledI18n: any;
        titleI18nKey: import("vue").WritableComputedRef<unknown>;
        data: import("vue").ComputedRef<any>;
        reload: () => Promise<void>;
        reset: () => void;
        treeOptions: import("@fly-vue/ide-base").ITreeOptions;
        onSwitchAuth: (enable: boolean) => void;
        onNameChange: () => void;
        MenuTarget: typeof import("@fly-vue/lcdp-api").MenuTarget;
        SelectAuth: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-auth.vue")>;
        SelectCustomIcon: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-custom-icon.vue")>;
        SelectIviewIcon: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-iview-icon.vue")>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
        LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
        Field: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/field.vue")>;
        SelectPage: import("vue").DefineComponent<{
            value: null;
            placeholder: {
                default: string;
            };
            modalTitle: {
                default: string;
            };
            disableInput: {
                type: BooleanConstructor;
            };
            valueUseId: {
                type: BooleanConstructor;
            };
            showClear: {
                type: BooleanConstructor;
            };
            treeOptions: null;
            service: null;
            isGetPageData: {
                type: BooleanConstructor;
            };
            selectPageData: null;
            showExpr: {
                type: BooleanConstructor;
                default: boolean;
            };
            isOnlyPackage: {
                type: BooleanConstructor;
            };
            isPackageSelectable: {
                type: BooleanConstructor;
            };
            pathPrefix: {
                default: string;
            };
        }, {
            __sfc: boolean;
            props: {
                value?: string | undefined;
                placeholder: string;
                modalTitle: string;
                disableInput?: boolean | undefined;
                valueUseId?: boolean | undefined;
                showClear?: boolean | undefined;
                treeOptions?: import("@fly-vue/ide-base").ITreeOptions | undefined;
                service?: any;
                isGetPageData?: boolean | undefined;
                selectPageData?: string[] | undefined;
                showExpr: boolean;
                isOnlyPackage?: boolean | undefined;
                isPackageSelectable?: boolean | undefined;
                pathPrefix: string;
            };
            emit: (event: "input" | "on-select", ...args: any[]) => void;
            meta: import("@fly-vue/lcdp-api").IMetaProps;
            value: import("vue").Ref<string | undefined> | undefined;
            selected: import("vue").Ref<string | undefined>;
            isShow: import("vue").Ref<boolean>;
            keyword: import("vue").Ref<any>;
            refTree: import("vue").Ref<any>;
            def: import("@fly-vue/ide-base").ITreeOptions;
            appId: string | undefined;
            finalTreeOptions: import("vue").ComputedRef<import("@fly-vue/ide-base").ITreeOptions>;
            onSelect: (node: import("@fly-vue/ide-base").ITreeNode) => Promise<void>;
            clear: () => void;
            doReload: () => void;
            handleData: (tree: import("@fly-vue/ide-base").ITreeNode[]) => import("@fly-vue/ide-base").ITreeNode[];
            getIdFromValue: (value: string) => string;
            onLoaded: (list: import("@fly-vue/ide-base").ITreeNode[]) => void;
            selectedId: import("vue").ComputedRef<string>;
            MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
            Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
            Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
            SearchInput: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/search-input.vue")>;
            Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
            LcModal: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/modal.vue")>;
            LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
            ExprBtn: () => Promise<typeof import("../input/expr-btn.vue")>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-select")[], string, Readonly<import("vue").ExtractPropTypes<{
            value: null;
            placeholder: {
                default: string;
            };
            modalTitle: {
                default: string;
            };
            disableInput: {
                type: BooleanConstructor;
            };
            valueUseId: {
                type: BooleanConstructor;
            };
            showClear: {
                type: BooleanConstructor;
            };
            treeOptions: null;
            service: null;
            isGetPageData: {
                type: BooleanConstructor;
            };
            selectPageData: null;
            showExpr: {
                type: BooleanConstructor;
                default: boolean;
            };
            isOnlyPackage: {
                type: BooleanConstructor;
            };
            isPackageSelectable: {
                type: BooleanConstructor;
            };
            pathPrefix: {
                default: string;
            };
        }>>, {
            showExpr: boolean;
            isGetPageData: boolean;
            isOnlyPackage: boolean;
            isPackageSelectable: boolean;
            placeholder: string;
            modalTitle: string;
            disableInput: boolean;
            valueUseId: boolean;
            showClear: boolean;
            pathPrefix: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-name-change"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: null;
        isHeader: {
            type: BooleanConstructor;
        };
        pathPrefix: {
            default: string;
        };
    }>>, {
        pathPrefix: string;
        isHeader: boolean;
    }>;
    PreviewContainer: import("vue").DefineComponent<{}, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    Navi: import("vue").DefineComponent<{
        subSystem: null;
        layoutConfig: null;
        hideHeaderMenus: {
            type: BooleanConstructor;
        };
        headerId: null;
        headerTitle: null;
    }, {
        __sfc: boolean;
        props: {
            subSystem?: ISubsystem | undefined;
            layoutConfig: ILayoutSetting;
            hideHeaderMenus?: boolean | undefined;
            headerId?: string | undefined;
            headerTitle?: string | undefined;
        };
        config: import("vue").Ref<ILayoutSetting>;
        emit: (event: "on-change" | "on-select" | "on-save" | "on-click" | "on-load" | "on-select-header", ...args: any[]) => void;
        refHeader: import("vue").Ref<any>;
        editing: import("vue").Ref<IHeaderMenu | import("@fly-vue/lcdp-api").IMenuInfo | undefined>;
        editingHeader: import("vue").Ref<any>;
        refSider: import("vue").Ref<any>;
        siderList: import("vue").Ref<{
            id?: string | undefined;
            title: string;
            header?: string | undefined;
            path?: string | undefined;
            icon?: string | undefined;
            disabled?: boolean | undefined;
            custom?: string | undefined;
            auth?: string[] | undefined;
            $secured?: string | undefined;
            target?: import("@fly-vue/lcdp-api").MenuTarget | undefined;
            children?: any[] | undefined;
        }[]>;
        subSystem: import("vue").Ref<ISubsystem | undefined>;
        navi: import("vue").Ref<import("@fly-vue/lcdp-api").INavi | undefined>;
        reload: (subSystem?: ISubsystem | undefined, headerTitle?: string | undefined) => Promise<void>;
        selectedHeaderName: import("vue").Ref<any>;
        saveHeader: (subSystem?: ISubsystem | undefined) => Promise<void>;
        isMenuIsolated: boolean | undefined;
        setSiderList: () => void;
        addSider: () => Promise<void>;
        onSelectHeader: (menu: IHeaderMenu) => void;
        onSelectSidebar: (menu: import("@fly-vue/lcdp-api").IMenuInfo) => void;
        onSelectPage: () => void;
        onAddMenu: (p: import("@fly-vue/lcdp-api").IMenuInfo) => Promise<void>;
        onRemove: (menu: import("@fly-vue/lcdp-api").IMenuInfo) => Promise<void>;
        onRemoveHeader: (header: IHeaderMenu) => Promise<void>;
        onDrag: (newMenus: import("@fly-vue/lcdp-api").IMenuInfo[]) => void;
        getSiderListExcludeByHeaderName: (headerName: string) => import("@fly-vue/lcdp-api").IMenuInfo[];
        getNaviSelectedType: () => INaviSelected;
        selectDefaultHeader: () => void;
        NaviHeader: import("vue").DefineComponent<{
            subSystem: null;
            layoutConfig: null;
            navi: null;
            hideMenus: {
                type: BooleanConstructor;
            };
            selected: null;
        }, {
            __sfc: boolean;
            props: {
                subSystem?: ISubsystem | undefined;
                layoutConfig: ILayoutSetting;
                navi?: import("@fly-vue/lcdp-api").INavi | undefined;
                hideMenus?: boolean | undefined;
                selected?: string | undefined;
            };
            emit: (event: "on-select" | "on-remove" | "on-click-header", ...args: any[]) => void;
            config: import("vue").Ref<ILayoutSetting>;
            selectedHeaderId: import("vue").Ref<string | undefined>;
            globalConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
            headerList: import("vue").ComputedRef<IHeaderMenu[]>;
            onSelectHeader: (name?: string | undefined) => void;
            selectDefaultHeader: () => void;
            getLabel: (menu: IHeaderMenu) => (h: any) => any;
            onHeaderClose: (menu: IHeaderMenu) => Promise<void>;
            genName: <T = any>(name: string, list: T[], prop: keyof T) => string;
            addHeader: () => void;
            handleDragDrop: (aName: string, bName: string, aIndex: number, bIndex: number, names: string[]) => void;
            reorder: () => void;
            isShow: (header: IHeaderMenu) => boolean;
            finalLogo: import("vue").ComputedRef<string>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-remove" | "on-click-header")[], string, Readonly<import("vue").ExtractPropTypes<{
            subSystem: null;
            layoutConfig: null;
            navi: null;
            hideMenus: {
                type: BooleanConstructor;
            };
            selected: null;
        }>>, {
            hideMenus: boolean;
        }>;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        NaviSider: import("vue").DefineComponent<{
            data: null;
            theme: {
                default: string;
            };
        }, {
            __sfc: boolean;
            props: {
                data: import("@fly-vue/lcdp-api").IMenuInfo[];
                theme: "light" | "dark";
            };
            refTree: import("vue").Ref<any>;
            emit: (event: "on-select" | "on-remove" | "on-add-child" | "on-drag", ...args: any[]) => void;
            onSelect: (node: any) => Promise<void>;
            onDrag: () => Promise<void>;
            addMenu: (menu: import("@fly-vue/lcdp-api").IMenuInfo) => void;
            remove: (menu: import("@fly-vue/lcdp-api").IMenuInfo) => Promise<void>;
            select: (id: string) => void;
            Tree: typeof import("element-ui").Tree;
            Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
            Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
            LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
            Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
            Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
            tryParseI18n: typeof import("../menu/utils").tryParseI18n;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-remove" | "on-add-child" | "on-drag")[], string, Readonly<import("vue").ExtractPropTypes<{
            data: null;
            theme: {
                default: string;
            };
        }>>, {
            theme: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-change" | "on-select" | "on-save" | "on-click" | "on-load" | "on-select-header")[], string, Readonly<import("vue").ExtractPropTypes<{
        subSystem: null;
        layoutConfig: null;
        hideHeaderMenus: {
            type: BooleanConstructor;
        };
        headerId: null;
        headerTitle: null;
    }>>, {
        hideHeaderMenus: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-change" | "on-save" | "on-load")[], string, Readonly<import("vue").ExtractPropTypes<{
    subSystem: null;
    hideHeader: {
        type: BooleanConstructor;
    };
    hideSaveBtn: {
        type: BooleanConstructor;
    };
    hideLayoutSetting: {
        type: BooleanConstructor;
    };
    hideHeaderMenu: {
        type: BooleanConstructor;
    };
    headerId: null;
    headerTitle: null;
    pathPrefix: null;
}>>, {
    hideHeader: boolean;
    hideSaveBtn: boolean;
    hideLayoutSetting: boolean;
    hideHeaderMenu: boolean;
}>;
export default _default;
