import { IMetaObject, IMetaPackage, IMetaProps, IPlatform } from '@fly-vue/lcdp-api';
import { ITreeNode } from '@fly-vue/ide-base';
import { FileType, TabOpener, IMetaTreeOptions } from '@fly-vue/ide-core';
import { ExtractPropTypes } from 'vue';
declare const _default: import("vue").DefineComponent<{
    appId: null;
    openTab: {
        type: BooleanConstructor;
    };
    selected: null;
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: null;
    packageName: null;
    showMenus: {
        type: BooleanConstructor;
    };
    options: null;
    showMinBtn: {
        type: BooleanConstructor;
    };
    isMin: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: {
        appId?: string | undefined;
        openTab?: boolean | undefined;
        selected?: string | undefined;
        immediate: boolean;
        placeholderId?: string | undefined;
        packageName?: string | undefined;
        showMenus?: boolean | undefined;
        options?: IMetaTreeOptions | undefined;
        showMinBtn?: boolean | undefined;
        isMin?: boolean | undefined;
    };
    emit: (event: "on-select" | "on-loaded" | "update:isMin", ...args: any[]) => void;
    appId: string | undefined;
    meta: IMetaProps;
    refMetaTree: import("vue").Ref<any>;
    selectedPackage: import("vue").Ref<ITreeNode | undefined>;
    selected: import("vue").Ref<string | undefined>;
    keyword: import("vue").Ref<string>;
    microApps: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IMicroApp[]>;
    isEnableEntity: import("vue").ComputedRef<boolean>;
    isEnableWorkflow: import("vue").ComputedRef<boolean>;
    doImport: ({ id: packageId }?: {
        id: string;
    } | undefined) => Promise<void>;
    doExportZip: (data?: any) => Promise<void>;
    focusSearch: import("vue").Ref<boolean>;
    platform: import("vue").Ref<IPlatform | undefined>;
    isMin: import("vue").Ref<boolean | undefined> | import("vue").WritableComputedRef<boolean | undefined>;
    showPageType: import("vue").Ref<"page" | "navi">;
    isShowModuleTreeNodeCode: import("@vueuse/shared").RemovableRef<boolean>;
    fileType: FileType;
    tabOpener: TabOpener;
    treeOptions: import("vue").ComputedRef<IMetaTreeOptions>;
    reloadPackageList: (selectId?: string | undefined) => Promise<void>;
    showAddPackage: () => void;
    toggleExpandAll: () => void;
    onSelect: (node: ITreeNode) => void;
    showAddObject: () => void;
    showCreatePage: (p: IMetaPackage) => void;
    filterData: (list: ITreeNode[]) => boolean | import("@fly-vue/ide-base").IHasChildren<ITreeNode>[];
    showAddRefPage: (foler?: IMetaPackage | undefined) => void;
    showCreateEntityPage: () => void;
    onLoaded: (list: any[]) => void;
    handleData: (tree: ITreeNode[]) => void;
    showAddWfFormPage: () => void;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
    SelectPlatformDropdown: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-platform-dropdown.vue")>;
    PageAddForm: import("vue").DefineComponent<{
        package1: null;
    }, {
        __sfc: boolean;
        props: {
            package1?: any;
        };
        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
        listOptions: import("@fly-vue/ide-base").IListOptions;
        package1: import("vue").Ref<any> | undefined;
        startedScroll: import("vue").Ref<boolean>;
        refInput: import("vue").Ref<any>;
        data: any;
        isDataValid: import("vue").ComputedRef<any>;
        fileName: (rule: any, value: string, cb: any) => any;
        required: (rule: any, value: string, cb: any) => any;
        onValidate: (props: any, status: any, error: any) => void;
        appId: string | undefined;
        folders: import("vue").Ref<{
            objects: {
                data?: any;
                id?: string | undefined;
                name: string;
                packageName: string;
                title: string;
            }[];
            packages: any[];
            id?: string | undefined;
            name: string;
            packageName: string;
            title: string;
        }[]>;
        discoverFolders: import("vue").Ref<{
            objects: {
                data?: any;
                id?: string | undefined;
                name: string;
                packageName: string;
                title: string;
            }[];
            packages: any[];
            id?: string | undefined;
            name: string;
            packageName: string;
            title: string;
        }[]>;
        supportedPlatforms: import("vue").ComputedRef<IPlatform[]>;
        supportedPlatformItems: import("vue").ComputedRef<import("@fly-vue/ide-core").IPlatformItem[]>;
        platform: import("vue").Ref<IPlatform>;
        loaded: import("vue").Ref<boolean>;
        selectedLocalFolderId: import("vue").Ref<string | undefined>;
        selectedFolderId: import("vue").Ref<string | undefined>;
        keyword: import("vue").Ref<string | undefined>;
        selectedTemplate: import("vue").Ref<(IMetaObject<any> & {
            versionId?: string | undefined;
            icon?: string | undefined;
        }) | undefined>;
        selectedTemplateJson: Record<string, any>;
        currentTemplateJson: import("vue").Ref<any>;
        vIf: import("vue").Ref<boolean>;
        config: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
        fixFolders: any[];
        reload: () => Promise<void>;
        reloadTemplates: () => Promise<void>;
        reloadDiscover: () => Promise<void>;
        onSelectTemplate: (template?: IMetaObject<any> | undefined) => void;
        save: () => Promise<void>;
        onShowFolderId: import("@vueuse/shared").PromisifyFn<(id: any) => void>;
        scrollTo: () => Promise<void>;
        getFolderTemplates: (folder: IMetaPackage) => IMetaObject<any>[];
        localTemplates: import("vue").ComputedRef<IMetaObject<any>[]>;
        finalDiscoverFolders: import("vue").ComputedRef<IMetaPackage[]>;
        Groups: typeof import("@fly-vue/lcdp-api").Groups;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        List: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/list/list.vue")>;
        NoData: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/no-data.vue")>;
        LcImage: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/image.vue")>;
        Observable: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/observable.vue")>;
        LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
        LcFormItem: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-item.vue")>;
        FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
        LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
        SelectableTag: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/selectable-tag.vue")>;
        SearchInput: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/search-input.vue")>;
        PreviewCard: () => Promise<typeof import("../preview/preview-card.vue")>;
        PreviewLowcodePage: () => Promise<typeof import("../preview/preview-lowcode-page.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<ExtractPropTypes<{
        package1: null;
    }>>, {}>;
    NaviData: import("vue").DefineComponent<{}, {
        __sfc: boolean;
        supportedPlatformItems: import("vue").ComputedRef<import("@fly-vue/ide-core").IPlatformItem[]>;
        naviData: import("vue").Ref<{
            [x: string]: any;
            name: string;
            desc?: string | undefined;
            icon?: string | undefined;
            iconColor?: string | undefined;
            iconSize?: string | undefined;
            code: string;
            data?: any;
            level?: number | undefined;
            children?: any[] | undefined;
        }[]>;
        selected: import("vue").Ref<any>;
        pcItem: import("@fly-vue/ide-core").IPlatformItem | undefined;
        mobileItem: import("@fly-vue/ide-core").IPlatformItem | undefined;
        mobileNaviTreeNode: ITreeNode;
        options: import("@fly-vue/ide-base").ITreeOptions;
        reloadNaviData: () => Promise<void>;
        onSelect: (node: ITreeNode) => void;
        showAddMobileNavi: () => void;
        selectedTab: import("vue").ComputedRef<import("@fly-vue/ide-base").ITab<any>>;
        Tree: () => Promise<any>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<ExtractPropTypes<{}>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-loaded" | "update:isMin")[], string, Readonly<ExtractPropTypes<{
    appId: null;
    openTab: {
        type: BooleanConstructor;
    };
    selected: null;
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholderId: null;
    packageName: null;
    showMenus: {
        type: BooleanConstructor;
    };
    options: null;
    showMinBtn: {
        type: BooleanConstructor;
    };
    isMin: {
        type: BooleanConstructor;
    };
}>>, {
    immediate: boolean;
    openTab: boolean;
    showMenus: boolean;
    showMinBtn: boolean;
    isMin: boolean;
}>;
export default _default;
